import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:npay_component/styles/colors.dart';

void showNpBottomSheet(BuildContext context,
    {@required Widget child,
    Color color = Colors.white,
    bool barrierDismissible = true}) {
  showModalBottomSheet(
      context: context,
      barrierColor: Colors.transparent,
      backgroundColor: Colors.transparent,
      isDismissible: barrierDismissible,
      builder: (context) => Material(
            color: Colors.transparent,
            child: Container(
              child: Column(
                mainAxisSize: MainAxisSize.min,
                children: [
                  Container(
                    height: 4,
                    width: 32,
                    decoration: BoxDecoration(
                      color: btnDisabledColor,
                      borderRadius: BorderRadius.circular(16),
                    ),
                  ),
                  SizedBox(height: 7),
                  Container(
                    width: double.infinity,
                    decoration: BoxDecoration(
                        color: color,
                        borderRadius: BorderRadius.only(
                            topLeft: const Radius.circular(16.0),
                            topRight: const Radius.circular(16.0))),
                    child: Padding(
                      padding: const EdgeInsets.all(16.0),
                      child: child,
                    ),
                  ),
                ],
              ),
            ),
          ));
}
